<template>
  <div class="post__content">
    <span class="post__content-date">{{ timestamp }}</span>
    {{ content }}
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';

@Component
export default class PostContent extends Vue {
  @Prop() private content!: string;
  @Prop() private timestamp!: string;
}
</script>

<style scoped>

  .post__content {
    @apply mt-5 mb-10 p-10 shadow w-full bg-white text-left leading-loose;
  }

  .post__content-date {
    display: block;
    color: #56afea;
    font-size: 16px;
    text-align: right;
  }

</style>
